## twms 0.05t

=== Makefile ===
include Makefile.mk

PACKAGE = twms
CACHEDIR = $(localstatedir)/cache/$(PACKAGE)

MANPAGES = twms.1
BIN = twms.py
DOC = README.md
ETC = twms/twms.conf
DATA = tools/* irs_nxt.jpg yahoo_nxt.jpg yandex_nxt.jpg
DIRS = $(CACHEDIR)/traces $(CACHEDIR)/tiles
PYTHONPKGS = twms

user-install::
	sed -i \
		-e 's,/etc/twms,$(ETCDIR),g' \
		-e 's,/var/cache/twms,$(CACHEDIR),g' \
		-e 's,/usr/share/twms,$(DATADIR),g' \
		-e 's,/usr/share/pyshared,$(PYTHONDIR),g' \
		$(DESTDIR)$(ETCDIR)/twms.conf \
		$(DESTDIR)$(PYTHONDIR)/twms/twms.conf \
		$(DESTDIR)$(PYTHONDIR)/twms/twms.py
	mv $(DESTDIR)$(bindir)/twms.py $(DESTDIR)$(bindir)/twms

## twms 0.02w

=== debian/changelog ===
twms (0.02w-1) unstable; urgency=low

  * Initial release (Closes: #587522)

 -- Andrew O. Shadoura <bugzilla@tut.by>  Fri, 13 Aug 2010 17:37:27 +0300

=== debian/control ===
Source: twms
Section: science
Priority: extra
Maintainer: Andrew O. Shadoura <bugzilla@tut.by>
Build-Depends: debhelper (>= 7.0.50~), python-support (>= 0.90)
Standards-Version: 3.9.1
Vcs-Hg: http://hg.debian.org/hg/collab-maint/twms/
Vcs-Browser: http://hg.debian.org/hg/collab-maint/twms/
Homepage: http://code.google.com/p/twms/

Package: twms
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-imaging (>= 1.1.6), python-pyproj (>= 1.8.6), python-webpy
Recommends: python-psyco
Description: tiny web map service
 tWMS is a tiny WMS-like script for exporting your map 
 tiles to WMS-enabled applications.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	install -T twms.py $(CURDIR)/debian/twms/usr/bin/twms

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=downloadurlmangle=s#.*(twms-(.+)\.tar\.bz2).*#http://twms.googlecode.com/files/$1#,filenamemangle=s#.*(twms-(.+)\.tar\.bz2).*#$1# \
    http://code.google.com/p/twms/downloads/list ^.*detail\?name=twms-(.+)\.tar\.bz2.*

## twms 0.03e

=== debian/changelog ===
twms (0.03e-2) unstable; urgency=low

  * Fix incorrect error handing that resulted in internal server errors.
  * Accept WMS query parameters in mixed case (fixes interoperability
    problems with JOSM).
  * Don't forcibly chown cache directory in postinst.
  * Fix FTBFS with funny umask set (Closes: #674817).
  * During package build, fix file permissions inside the build directory,
    not on the source files.
  * Bump Standards-Version to 3.9.3, no changes.

 -- Andrew O. Shadura <bugzilla@tut.by>  Mon, 28 May 2012 19:18:25 +0200

twms (0.03e-1) unstable; urgency=low

  * New upstream version released.
  * Update the description.
  * Bump Standards-Version.
  * Depend on adduser as we use it to add a system user to run the daemon as.
  * Update the spelling of the maintainer's last name.
  * Update the dependency on webpy.
  * Check the default Python version when installing (patch by Jakub Wilk).
  * Suggest python-psyco instead of recommending it (see #614619).
  * Provide python-twms package.
  * Make it possible to configure port number.
  * Update the manual page.
  * Fix the configuration file example so the URLs have the correct port
    number.
  * Rewrite the init script.

 -- Andrew O. Shadura <bugzilla@tut.by>  Tue, 06 Dec 2011 11:30:32 +0100

=== debian/control ===
Source: twms
Section: science
Priority: extra
Maintainer: Andrew O. Shadura <bugzilla@tut.by>
Build-Depends: debhelper (>= 7.0.50~), python-support (>= 0.90)
Standards-Version: 3.9.3
Vcs-Hg: http://hg.debian.org/hg/collab-maint/twms/
Vcs-Browser: http://hg.debian.org/hg/collab-maint/twms/
Homepage: http://code.google.com/p/twms/

Package: twms
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-imaging (>= 1.1.6), python-pyproj (>= 1.8.6), python-webpy (>= 1:0.33), adduser
Provides: python-twms
Suggests: python-psyco
Description: tiny web map service
 tWMS is a tiny WMS server for exporting your map
 tiles to WMS-enabled applications.
 .
 tWMS can export a set of raster tiles as a WMS service
 so GIS applications that support WMS protocol can access
 this tile set. Also, tWMS can act as a proxy and perform
 WMS requests to external services and serve the tile cache
 to WMS and TMS clients.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/twms/usr/share/pyshared/twms/*.py

override_dh_auto_install:
	dh_install twms usr/lib/$(shell pyversions -d)/site-packages
	install -T twms.py $(CURDIR)/debian/twms/usr/bin/twms

.PHONY: override_dh_fixperms override_dh_auto_install

## twms 0.05t

=== debian/changelog ===
twms (0.05t-4) unstable; urgency=medium

  * Build-Depend on dh-python.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 05 Jul 2016 16:23:59 +0200

twms (0.05t-3) unstable; urgency=medium

  * Add systemd unit file.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 05 Jul 2016 12:18:27 +0200

twms (0.05t-2) unstable; urgency=low

  * Add OpenRC support.
  * Remove RUN parameter support from /etc/default/twms.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 15 Jan 2014 03:07:07 +0100

twms (0.05t-1) unstable; urgency=low

  * New upstream release.
  * Use dh_python2 instead of dh_pysupport.
  * Bump compat level to 9.
  * Update Standards-Version to 3.9.4.
  * Update init script and the manpage.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 10 Aug 2013 20:51:29 +0200

twms (0.04r-3) unstable; urgency=low

  * Upload to unstable.
  * Install manpages into a proper place.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 10 Aug 2013 16:49:40 +0200

twms (0.04r-2) experimental; urgency=low

  * Apply upstream patch to handle bz2-compressed GPX tracks.
  * Recommend python-cairo.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 08 Apr 2013 10:21:52 +0200

twms (0.04r-1) experimental; urgency=low

  * New upstream release.
  * Drop patches applied upstream.
  * Update copyright file: upstream is now WTFPL.
  * Upstream now has a Makefile, simplify rules.
  * Update dependencies:
    - Remove python-psyco.
    - Move python-pyproj to Recommends.
  * Update Vcs-* fields.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 19 Mar 2013 16:06:07 +0100

=== debian/control ===
Source: twms
Section: science
Priority: extra
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3), dh-systemd, dh-python
Standards-Version: 3.9.4
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/twms/
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/twms/
Homepage: http://code.google.com/p/twms/

Package: twms
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-imaging (>= 1.1.6), python-webpy (>= 1:0.33), adduser
Recommends: python-pyproj (>= 1.8.6), python-cairo
Provides: python-twms
Description: tiny web map service
 twms is a WMS/TMS server for exporting your map
 tiles to WMS-enabled applications.
 .
 twms can export a set of raster tiles as a WMS service
 so GIS applications that support WMS protocol can access
 this tile set. Also, twms can act as a proxy and perform
 WMS requests to external services and serve the tile cache
 to WMS and TMS clients.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with=python2 --with=systemd

## twms 0.06y

=== debian/changelog ===
twms (0.06y-2) unstable; urgency=medium

  * Temporarily work around the encoding issue by forcefully setting
    LC_ALL to C.UTF-8.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 23 May 2018 10:56:42 +0100

twms (0.06y-1) unstable; urgency=medium

  * New upstream release (Closes: #866489).
  * Refresh the patches.
  * Switch to Python 3.
  * Update debian/copyright.
  * Update the homepage.
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 13 May 2018 09:24:01 +0200

=== debian/control ===
Source: twms
Section: science
Priority: extra
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), python3-all (>= 2.6.6-3), dh-systemd, dh-python, python3-setuptools
Standards-Version: 3.9.4
Vcs-Git: https://salsa.debian.org/debian/twms
Vcs-Browser: https://salsa.debian.org/debian/twms
Homepage: https://github.com/Komzpa/twms

Package: twms
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pil, python3-webpy (>= 1:0.33), adduser
Recommends: python3-pyproj (>= 1.8.6), python3-cairo
Description: tiny web map service
 twms is a WMS/TMS server for exporting your map
 tiles to WMS-enabled applications.
 .
 twms can export a set of raster tiles as a WMS service
 so GIS applications that support WMS protocol can access
 this tile set. Also, twms can act as a proxy and perform
 WMS requests to external services and serve the tile cache
 to WMS and TMS clients.

## twms 0.07z

=== debian/changelog ===
twms (0.07z-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Andrej Shadura ]
  * New upstream release (Closes: #915933, #916305).
  * Update debian/watch.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 06 Jan 2019 19:53:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: twms
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>= 9), python3-all (>= 2.6.6-3), dh-systemd, dh-python, python3-setuptools
 Standards-Version: 3.9.4

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL := C.UTF-8

%:
	dh $@ --with=python3 --with=systemd --buildsystem=pybuild

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/twms-$1\.tar\.gz/,uversionmangle=s/-?rc/~rc/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//  \
  https://github.com/Komzpa/twms/releases .*/archive/(\d[^\s\-]*)\.tar\.gz

## twms 0.07z%2Bgit20201202%2Bbb7c3f8

=== debian/changelog ===
twms (0.07z+git20201202+bb7c3f8-2ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:37:37 +0100

twms (0.07z+git20201202+bb7c3f8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for twms.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Adrian Bunk ]
  * setup.py: Use a valid version (Closes: #1030449).

  [ Andrej Shadura ]
  * Set field Upstream-Name in debian/copyright.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.1.
  * Fix {build-}depends, use dh-sequence-python3.
  * Update copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 26 Feb 2023 11:16:36 +0100

twms (0.07z+git20201202+bb7c3f8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:54:10 +0200

twms (0.07z+git20201202+bb7c3f8-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 02 Dec 2020 14:48:22 +0100

twms (0.07z+git20201130+6edd37d-2) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Replace spaces in short license names with dashes.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Use canonical URL in Vcs-Git.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Nov 2020 14:24:29 +0100

twms (0.07z+git20201130+6edd37d-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #973098).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Nov 2020 14:22:53 +0100

twms (0.07z+git20200829+cb7d39a-1) unstable; urgency=medium

  * New upstream snapshot.
  * Watch the upstream Git.
  * Drop no longer relevant patch (Closes: #965951).
  * Switch to dh 12 and stop using dh-systemd (Closes: #958601).
  * Promote cairo and pyproj to dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 29 Aug 2020 17:42:11 +0200

## twms 0.07z+git20201130+6edd37d

=== debian/control ===
Source: twms
Section: science
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 2.6.6-3),
 python3-setuptools
Standards-Version: 3.9.4
Vcs-Git: https://salsa.debian.org/debian/twms
Vcs-Browser: https://salsa.debian.org/debian/twms
Homepage: https://github.com/Komzpa/twms

Package: twms
Architecture: all
Depends:
 adduser,
 python3-pil,
 python3-webpy (>= 1:0.33),
 python3-cairo,
 python3-pyproj (>= 1.8.6)
 ${misc:Depends},
 ${python3:Depends}
Description: tiny web map service
 twms is a WMS/TMS server for exporting your map
 tiles to WMS-enabled applications.
 .
 twms can export a set of raster tiles as a WMS service
 so GIS applications that support WMS protocol can access
 this tile set. Also, twms can act as a proxy and perform
 WMS requests to external services and serve the tile cache
 to WMS and TMS clients.

## twms 0.07z+git20201202+bb7c3f8

=== debian/changelog ===
twms (0.07z+git20201202+bb7c3f8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:21:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,31 @@
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
- python3-all (>= 2.6.6-3),
- python3-setuptools
-Standards-Version: 3.9.4
-Vcs-Git: https://salsa.debian.org/debian/twms
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-setuptools,
+ python3-cairo,
+ python3-pil,
+ python3-pyproj (>= 1.8.6),
+ python3-webpy (>= 1:0.33),
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/debian/twms.git
 Vcs-Browser: https://salsa.debian.org/debian/twms
 Homepage: https://github.com/Komzpa/twms
+Rules-Requires-Root: no
 
 Package: twms
 Architecture: all
 Depends:
  adduser,
+ python3-cairo,
  python3-pil,
+ python3-pyproj (>= 1.8.6),
  python3-webpy (>= 1:0.33),
- python3-cairo,
- python3-pyproj (>= 1.8.6)
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
+ ${misc:Depends},
 Description: tiny web map service
  twms is a WMS/TMS server for exporting your map
  tiles to WMS-enabled applications.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL := C.UTF-8

%:
	dh $@ --with=python3 --buildsystem=pybuild
